Subject: Re: [RFC/PATCH] fsck: do not canonicalize modes in trees we are checking

From: Jeff King <[email-masked]>
Date: Tue, 14 Oct 2014 04:21:21 -0400

On Mon, Oct 13, 2014 at 09:37:27AM +1100, Ben Aveling wrote:

> A question about fsck - is there a reason it doesn't have an option to
> delete bad objects?

If the objects are reachable, then deleting them would create other big
problems (i.e., we would be breaking the object graph!).

If they are not, then it is probably safest for them to go away via the
normal means (repack/prune via "git gc").  Deleting via fsck would mean
replicating the reachability and deletion code found elsewhere.

-Peff